moDrawPage3 = {};

function moDrawPage3:setOpenPage(self)	
	local posX = moSetGetGui.page[3].posX+0.001;
	local posY = moSetGetGui.page[3].posY;
	local size = moSetGetGui.page[3].size;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*4;	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = 0.002;
	local page2Length = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(50+moSetGetGui.screenAspectRatio); --moSetGetGui.buttonGfxWidth1*(size*1000/2)*(moGeneralSettings.lengthFruitName);	
	local width = page2Length+distanceDif;	
	local currentPosY = posY;	
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["designGround"]:render();
	--settings
	moSetGetGui["slotPos"]:setPosition(posX, posY);
	moSetGetGui["slotPos"]:render();
	moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*2), posY);
	moSetGetGui["slotNextL"]:render();
	moSetGetGui["slotNextR"]:setPosition(posX+(widthSettings*4), posY);
	moSetGetGui["slotNextR"]:render();
	setTextBold(true);
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local sizeTemp = 0.011;
	if size < sizeTemp then sizeTemp = size;end;
	renderText(posX+(widthSettings*3.2), posY+0.0035, sizeTemp, tostring(moSetGetGui.page[3].switch));
	local page3Text = "";	
	setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
	local mbo = false;
	if MapBuyableObject ~= nil then
		if not moGeneralSettings.mapBuyableObject then			
			page3Text = moLanguageXml:getTxt("mb_mapbuyableoff", 50, "MapBuyableObject(disabled): ".. tostring(#MapBuyableObject.ObjectBuy.drawParts));
		else
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
			page3Text = moLanguageXml:getTxt("mb_mapbuyableon", 50, "MapBuyableObjects: ".. tostring(#MapBuyableObject.ObjectBuy.drawParts));
			mbo = true;
		end;
	else
		page3Text = moLanguageXml:getTxt("mb_mapbuyableno", 50, "MapBuyableObject(Not Found)");
	end;
	renderText(posX+(widthSettings*5.3), posY+0.0035, sizeTemp, tostring(page3Text));
	nextLine(true, 0.007, true, 0.004, width, 0.001);
	--settings	
	if mbo then
		--settings
		local money = g_currentMission.missionStats.money;
		for a=1, #MapBuyableObject.ObjectBuy.drawParts do
			local objectName = MapBuyableObject.ObjectBuy.drawParts[a].headlineText;
			local objectPrice = g_i18n:formatMoney(MapBuyableObject.ObjectBuy.drawParts[a].priceObject);
			local hourIncome = nil;
			if MapBuyableObject.ObjectBuy.drawParts[a].hourIncome ~= nil and MapBuyableObject.ObjectBuy.drawParts[a].hourIncome > 0 then
				hourIncome = g_i18n:formatMoney(MapBuyableObject.ObjectBuy.drawParts[a].hourIncome);
			end;
			local isBuy = MapBuyableObject.ObjectBuy.drawParts[a].objectsBuyed;
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
			setTextBold(true);
			if isBuy then 
				setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
				setTextBold(false);			
			end;
			renderText(posX, currentPosY, size, tostring(objectName));
			setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
			if not isBuy then 
				setTextBold(true);
				if money < MapBuyableObject.ObjectBuy.drawParts[a].priceObject then setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));end;
			else
				setTextBold(false);
				objectPrice = tostring("---");
			end;
			setTextAlignment(RenderText.ALIGN_RIGHT);
			renderText(posX+width-distanceDif, currentPosY, size, tostring(objectPrice));
			setTextAlignment(false);						
			nextLine(true, 0.007, false);
			if hourIncome ~= nil then
				setTextBold(false);
				setTextColor(unpack(moGuiMiniPdaSlots.bestPriceColor));
				renderText(posX, currentPosY, size, tostring(moLanguageXml:getTxt("greenhousels", nil, "HoursIncome")));
				setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
				setTextAlignment(RenderText.ALIGN_RIGHT);
				renderText(posX+width-distanceDif, currentPosY, size, tostring(hourIncome));
				setTextAlignment(false);
				nextLine(true, 0.007, false);
			end;
		end;						
		--settings			
	end;	
	
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-0.001, currentPosY, width, height+heightSettings);
	moMouseClickAreas.dragDropPos["page3"] = {width=width, height=height+heightSettings};
	setTextBold(false);
	setTextColor(false);
	setTextAlignment(false);
	renderText(false);	
end;